import { defHttp } from '@/utils/http/axios';
enum Api {
  imageUpload = '/api/goview/project/image/upload',
  imageList = '/api/goview/project/image/list',
  imageDelete = '/api/goview/project/image/delete',
}

export const imageList = (params?) =>
  defHttp.get({ url: Api.imageList });

export const imageDelete = (id:string) =>
  defHttp.post({ 
    url: `${Api.imageDelete}?ids=${id}`
  });

export const imageUpload = (params) =>
  defHttp.post({
    url: Api.imageUpload,
    params,
    headers: {
      'Content-type': 'multipart/form-data',
    },
  });